﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using System.Xml.Serialization;

namespace PersonXMLSerializer
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Person p = new Person(textBox1.Text, int.Parse(textBox2.Text), textBox3.Text, textBox4.Text);
            System.Diagnostics.Trace.WriteLine("XML Serializer: " + p.ToString());

            FileStream fs = new FileStream(@"C:\Person4.xml", FileMode.Create, FileAccess.Write);
            XmlTypeMapping xtm = new SoapReflectionImporter().ImportTypeMapping(typeof(Person));
            XmlSerializer xs = new XmlSerializer(xtm);
            xs.Serialize(fs, p);
            fs.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            System.Threading.Thread.Sleep(1000);
            FileStream fs = new FileStream(@"C:\Person4.xml", FileMode.Open, FileAccess.Read);
            XmlTypeMapping xtm = new SoapReflectionImporter().ImportTypeMapping(typeof(Person));
            XmlSerializer xs = new XmlSerializer(xtm);
            Person p = (Person)xs.Deserialize(fs);
            fs.Close();
            System.Diagnostics.Trace.WriteLine("XML Deserialize: " + p.ToString());

            textBox1.Text = p.Name.ToString();
            textBox2.Text = p.ID.ToString();
            textBox3.Text = p.Phone.ToString();
            textBox4.Text = p.Address.ToString();
        }
    }
}
